function [polarI_1,polarQ_1,polarP_1,polarI_2,polarQ_2,polarP_2] = ReadPolar()
global s;
if(s.BytesAvailable ~= 0)
    fread(s,s.BytesAvailable);
end
byteID=104;
byteData=[0 0 0 0 0 0];
fwrite(s,[byteID byteData]);
dataRec = fread(s,9);
returnedByteID = dataRec(1,1);
if(returnedByteID ~= byteID)
    status = 102;
    disp('Unknown Error. Please try again')
    return;
end
polarI_1 = dataRec(2,1)+1;
polarQ_1 = dataRec(3,1)+1;
polarP_1 = dataRec(4,1)+1;
polarI_2 = dataRec(5,1)+1;
polarQ_2 = dataRec(6,1)+1;
polarP_2 = dataRec(7,1)+1;
status = dataRec(8,1);
if(polarI_1 == 1)
    disp('Polar I_1: Positive');
else
    disp('Polar I_1: Negative')
end
if(polarQ_1 == 1)
    disp('Polar Q_1: Positive');
else
    disp('Polar Q_1: Negative')
end
if(polarP_1 == 1)
    disp('Polar P_1: Positive');
else
    disp('Polar P_1: Negative')
end
if(polarI_2 == 1)
    disp('Polar I_2: Positive');
else
    disp('Polar I_2: Negative')
end
if(polarQ_2 == 1)
    disp('Polar Q_2: Positive');
else
    disp('Polar Q_2: Negative')
end
if(polarP_2 == 1)
    disp('Polar P_2: Positive');
else
    disp('Polar P_2: Negative')
end
if(status==119)
    disp('This function cannot be used now, please try later')
end
end