% function SysInit(noOfBytes)
% Desciption: System initialization
% Input buffer: 12500 bytes
% Interrupt generated when terminator received, call function ReceiveData
if exist('s','var')
fclose(s);
delete(s);
end
clc
global s;
global noOfBytes;
global upperLimit_I1;
global lowerLimit_I1;
global range_I1;
global DACPrecision_I1;
global upperLimit_Q1;
global lowerLimit_Q1;
global range_Q1;
global DACPrecision_Q1;
global upperLimit_P1;
global lowerLimit_P1;
global range_P1;
global DACPrecision_P1;
global upperLimit_I2;
global lowerLimit_I2;
global range_I2;
global DACPrecision_I2;
global upperLimit_Q2;
global lowerLimit_Q2;
global range_Q2;
global DACPrecision_Q2;
global upperLimit_P2;
global lowerLimit_P2;
global range_P2;
global DACPrecision_P2;
global ADCPrecision;
global recordNoOfPoints;
global recordStartVoltage;
global recordEndVoltage;
global comName;
errorHappen = 0;
lowerLimit_I1 = -14.57;
upperLimit_I1 = 14.48;
range_I1 = upperLimit_I1 - lowerLimit_I1;
DACPrecision_I1 = range_I1 / 2^12;
lowerLimit_Q1 = -14.57;
upperLimit_Q1 = 14.48;
range_Q1 = upperLimit_Q1 - lowerLimit_Q1;
DACPrecision_Q1 = range_Q1 / 2^12;
lowerLimit_P1 = -14.57;
upperLimit_P1 = 14.48;
range_P1 = upperLimit_P1 - lowerLimit_P1;
DACPrecision_P1 = range_P1 / 2^12;
lowerLimit_I2 = -14.57;
upperLimit_I2 = 14.48;
range_I2 = upperLimit_I2 - lowerLimit_I2;
DACPrecision_I2 = range_I2 / 2^12;
lowerLimit_Q2 = -14.57;
upperLimit_Q2 = 14.48;
range_Q2 = upperLimit_Q2 - lowerLimit_Q2;
DACPrecision_Q2 = range_Q2 / 2^12;
lowerLimit_P2 = -14.57;
upperLimit_P2 = 14.48;
range_P2 = upperLimit_P2 - lowerLimit_P2;
DACPrecision_P2 = range_P2 / 2^12;
ADCPrecision = 3.814697e-5;
noOfBytes = 9;
s = serial(comName);
set(s,'BaudRate', 57600, 'DataBits', 8, 'Parity', 'none','StopBits', 1, 'FlowControl', 'none'); 
s.Timeout = 10;
s.InputBufferSize = 100000;
try
fopen(s);
catch err
    errorHappen = 1;
end
if(errorHappen == 1)
fprintf('%s open failed.\n', comName);
else
fprintf('%s open succeed.\n', comName);
end